Bug 1281391 - web UI lacks ability to move resources within a resource group
web UI lacks ability to move resources within a resource group
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.2
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Ondrej Mular
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 07:21 EST by Tomas Jelinek
Modified: 2016-11-03 16:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: pcs-0.9.152-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:55:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Jelinek 2015-11-12 07:21:23 EST
It is possible to specify a resource's position within a group using pcs CLI. This can be done both when adding the resource to a group and when the resource already is in a group. This functionality is missing in web UI.
Comment 1 Ondrej Mular 2016-08-03 21:16:36 EDT
proposed fix:
https://github.com/ClusterLabs/pcs/commit/12a05cc0f70a11294582a310e4ccf744ae6

Test:
When creating group in web UI, under new group name there is list of resources. User can change order of resources with drag and drop.

When resource is selected in web UI, on the right side there is section Group. Resources can be placed after/before any resource which is already in group by new group changing form.
Comment 2 Ivan Devat 2016-08-05 11:10:57 EDT
Before Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-5.el7.x86_64

There is no support for move resources within a resource group in web UI.

After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-6.el7.x86_64

When creating group in web UI, under new group name there is list of resources. User can change order of resources with drag and drop.

When resource is selected in web UI, on the right side there is section Group. Resources can be placed after/before any resource which is already in group by new group changing form.
Comment 7 Ivan Devat 2016-09-14 11:50:29 EDT
Before Fix:

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-8.el7.x86_64

It behaves as described in comment5.

After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-9.el7.x86_64

Resource group is not selected in "Add Resource" form ("None" is selected) when adding test4. After selecting group all their resources are in resource order selector.
Comment 11 errata-xmlrpc 2016-11-03 16:55:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2596.html

Note You need to log in before you can comment on or make changes to this bug.